Issue 122589 - AOO Base crash when delete table from query design and close the design window
AOO Base crash when delete table from query design and close the design window
Status: VERIFIED FIXED
Product: Base
Classification: Application
Component: code
4.0.0-dev
All All
: P2 critical (vote)
: 4.0.0
Assigned To: Armin Le Grand
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 12:09 UTC by fanyuzhen
Modified: 2013-07-11 08:20 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---
jsc: 4.0.0_release_blocker+


Attachments
Check TableView for membership before removal (4.56 KB, patch)
2013-07-01 16:44 UTC, Armin Le Grand
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description fanyuzhen 2013-06-25 12:09:38 UTC
Steps:
1. Select "Create Query in Design View" from Queries
2. In window "Add Table or Query", select a table, and click "Add" three times to add 3 same table
3. Select the first table and click "Delete" (1 table is removed, and no table is selected at this moment)
4. Click "Delete"
5. Select the second table and click "Delete"(the second table is removed)
6. Select the last table and click "Delete"(the last table is removed)
7. Click "X" to close the window "Add Table or Query"

Actual result: AOO crashes
Expected result: no crashes
Comment 1 Armin Le Grand 2013-07-01 14:54:21 UTC
ALG: In step (3) could not find a 'Delete' to click on, pressed 'del' on keyboard
In Step (4) could not find a 'Delete' to click on, 'del' on keyboard does nothing.
Similar in other steps.
Comment 2 Armin Le Grand 2013-07-01 16:43:56 UTC
ALG: TableViews get deleted which are not part of the QueryTableView due to the missing focus (see (3)). Fix by checking if TableView is registered at QueryTableView before removing it.
Comment 3 Armin Le Grand 2013-07-01 16:44:32 UTC
Created attachment 80975 [details]
Check TableView for membership before removal
Comment 4 Armin Le Grand 2013-07-01 16:44:48 UTC
ALG: Added possible solution
Comment 5 jsc 2013-07-02 07:28:06 UTC
set showstopper flag
Comment 6 SVN Robot 2013-07-02 08:50:18 UTC
"alg" committed SVN revision 1498841 into trunk:
i122589 check if element is added before removing and deleting it (well, put ...
Comment 7 Armin Le Grand 2013-07-02 11:30:46 UTC
ALG: Okay, done, fixed.
Comment 8 jsc 2013-07-02 12:20:00 UTC
grant flag again, didn't worked the first time, it's fixed already
Comment 9 fanyuzhen 2013-07-09 05:26:46 UTC
It's verified fixed in revision 1499347